CRYPTO_ALLOC_HASH(9)

NAME
crypto_alloc_hash - allocate synchronous message digest handle

SYNOPSIS

struct crypto_hash * crypto_alloc_hash(const char * alg_name, u32 type, u32 mask);

ARGUMENTS

alg_name
    is the cra_name / name or cra_driver_name / driver name of the message digest cipher

type
    specifies the type of the cipher

mask
    specifies the mask for the cipher

DESCRIPTION

Allocate a cipher handle for a message digest. The returned struct crypto_hash is the cipher handle that is required for any subsequent API invocation for that message digest.

RETURN

allocated cipher handle in case of success; IS_ERR is true in case of an error, PTR_ERR returns the error code.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT